Bug 1073448 - [RFE] configurable default for wipe after delete per storage domain
Summary: [RFE] configurable default for wipe after delete per storage domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Idan Shaby
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On: 1185845
Blocks: 1161219 1250784
TreeView+ depends on / blocked
 
Reported: 2014-03-06 13:08 UTC by Allon Mureinik
Modified: 2019-04-28 09:19 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1161219 1185845 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:43:56 UTC
oVirt Team: Storage
scohen: needinfo+
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 35909 master MERGED core: Configurable Default for Wipe After Delete per Storage Domain Never
oVirt gerrit 36358 master MERGED packaging: Fixed Wrong Usages of the Reserved Word BOOLEAN Never
oVirt gerrit 36526 master MERGED webadmin: Configurable Default for Wipe After Delete per Storage Domain Never

Description Allon Mureinik 2014-03-06 13:08:43 UTC
Description of problem:
The default for wipe after delete is currently flase (although it's configurable for block domains via setting the SANWipeAfterDelete config value). It would be useful to allow the user to customize the default, probably per domain.

Comment 9 Yaniv Lavi 2015-04-02 12:51:59 UTC
How should this be tested?

Comment 10 Allon Mureinik 2015-04-02 15:02:10 UTC
(In reply to Yaniv Dary from comment #9)
> How should this be tested?
Create a block domain.
Set the default via the GUI, and observe that newly created disks get this default.

Comment 11 Idan Shaby 2015-04-06 08:52:28 UTC
(In reply to Yaniv Dary from comment #9)
> How should this be tested?
You can also do that using the REST API.

Comment 12 Idan Shaby 2015-04-06 14:02:49 UTC
To clarify:
Add a new storage domain using a POST request with the boolean property <wipe_after_delete>.

After the storage domain is created, run a POST request to add a new disk on this storage domain (without including the <wipe_after_delete> property) and observe that wipe after delete of the created disk is the same as its storage domain's default.

Comment 13 lkuchlan 2015-04-19 11:15:00 UTC
using tested ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764 vdsm-4.17.0-632.git19a83a2.el7.x86_64

Comment 15 Tal Nisan 2016-01-04 15:53:49 UTC
Idan, please add doc text

Comment 16 Idan Shaby 2016-01-05 09:08:18 UTC
Tal, this was already taken care of in Bug 1250784.

Comment 18 errata-xmlrpc 2016-03-09 20:43:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.